Skip to main content
POST
/
pullzone
/
{id}
/
addBlockedReferrer
Add Blocked Referer
curl --request POST \
  --url https://api.bunny.net/pullzone/{id}/addBlockedReferrer \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "Hostname": "<string>"
}
'
import requests

url = "https://api.bunny.net/pullzone/{id}/addBlockedReferrer"

payload = { "Hostname": "<string>" }
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({Hostname: '<string>'})
};

fetch('https://api.bunny.net/pullzone/{id}/addBlockedReferrer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ErrorKey": "<string>",
  "Field": "<string>",
  "Message": "<string>"
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the requested Pull Zone

Body

application/json

Request model

Hostname
string
required

The hostname that will be added as a blocked referer

Minimum string length: 1

Response

The blocked referer was successfuly added

Last modified on July 9, 2026